<?php

require('bcrypt.php');

$_SG['conectaServidor'] = true;
$_SG['abreSessao'] = true;
$_SG['caseSensitive'] = false;
$_SG['validaSempre'] = true;
$_SG['servidor'] = 'localhost';
$_SG['usuario'] = 'marke690_appnovo';
$_SG['senha'] = 'Padr@ao321';
$_SG['banco'] = 'marke690_appnovo';
$_SG['paginaLogin'] = 'login.php';
$_SG['tabela'] = 'usuarios';

if ($_SG['abreSessao'] == true) {  
session_start();  
}

function validaUsuario($usuario, $senha) {  

if($_SESSION['WORDPRESS'] == "1") {
    
    if($_SESSION['USER_ADMIN'] == $usuario and $_SESSION['SENHA_ADMIN'] == $senha) {
        return true; 
    }
    else {
        return false; 
    }
    
}    
else {
    
$nusuario = addslashes($usuario);  
$nsenha = addslashes($senha);     
$sqli = new mysqli('localhost', 'marke690_appnovo', 'Padr@ao321', 'marke690_appnovo');
$sqli->query("SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'");
$sql_consult = $sqli->query("SELECT * FROM usuarios WHERE email='$usuario' AND limite_assinatura >= '".date('Y-m-d')."' LIMIT 1");
$row_consult = $sql_consult->fetch_assoc();

if (Bcrypt::check($senha, $row_consult['senha'])) {
$_SESSION['ID_ADMIN'] = $row_consult['id'];
$_SESSION['NOME_ADMIN'] = $row_consult['nome'];
$_SESSION['USER_ADMIN'] = $usuario;  
$_SESSION['SENHA_ADMIN'] = $senha;  
return true;  
} 
else {  
return false;  
}
}
}





function protegePagina() {  
    if (!isset($_SESSION['ID_ADMIN']) OR !isset($_SESSION['NOME_ADMIN'])) {  
        expulsaVisitante();
    } else if (!isset($_SESSION['ID_ADMIN']) OR !isset($_SESSION['NOME_ADMIN'])) {  
    if ($_SG['validaSempre'] == true) {  
    if (!validaUsuario($_SESSION['USER_ADMIN'], $_SESSION['SENHA_ADMIN'])) {  
    expulsaVisitante();  
    }  
    }  
}
}





function expulsaVisitante() {  
global $_SG;  

 // Remove as variáveis da sessão (caso elas existam)  
unset($_SESSION['ID_ADMIN'], $_SESSION['NOME_ADMIN'], $_SESSION['USER_ADMIN'], $_SESSION['SENHA_ADMIN']);  
// Manda pra tela de login  

echo "<script> window.location = '".$_SG['paginaLogin']."'; </script>";

} 

?>
